%{?mingw_package_header}

# first two digits of version
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')

Name:		mingw-libsoup
Version:	2.74.3
Release:	%mkrel 2
Summary:	MinGW library for HTTP and XML-RPC functionality

License:	LGPLv2
Group:		Development/Other
URL:		https://wiki.gnome.org/Projects/libsoup
Source0:	https://download.gnome.org/sources/libsoup/%{release_version}/libsoup-%{version}.tar.xz
# Fix initialization from incompatible pointer type
Patch0:         libsoup-incompat-pointer-type.patch

BuildArch:	noarch

BuildRequires: gcc
BuildRequires: meson

BuildRequires: mingw32-filesystem >= 107
BuildRequires: mingw32-binutils
BuildRequires: mingw32-glib2
BuildRequires: mingw32-gcc
BuildRequires: mingw32-libxml2
BuildRequires: mingw32-brotli
BuildRequires: mingw32-libpsl
BuildRequires: mingw32-sqlite

BuildRequires: mingw64-filesystem >= 107
BuildRequires: mingw64-binutils
BuildRequires: mingw64-glib2
BuildRequires: mingw64-gcc
BuildRequires: mingw64-libxml2
BuildRequires: mingw64-brotli
BuildRequires: mingw64-libpsl
BuildRequires: mingw64-sqlite

# For glib-genmarshal
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	intltool

%description
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.
 
libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup


# Win32
%package -n mingw32-libsoup
Summary:	MinGW library for HTTP and XML-RPC functionality
Requires:       pkgconfig
Requires:       mingw32-glib-networking
# Dropped in F25
Obsoletes:      mingw32-libsoup-static < 2.54.1

%description -n mingw32-libsoup
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup

# Win64
%package -n mingw64-libsoup
Summary:        MinGW library for HTTP and XML-RPC functionality
Requires:       pkgconfig
Requires:       mingw64-glib-networking
# Dropped in F25
Obsoletes:      mingw64-libsoup-static < 2.54.1

%description -n mingw64-libsoup
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.

libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

This is the MinGW build of Libsoup


%{?mingw_debug_package}


%prep
%autosetup -p1 -n libsoup-%{version}

%build
%mingw_meson \
    -Dgtk_doc=false \
    -Dgssapi=disabled \
    -Dintrospection=disabled \
    -Dtests=false \
    -Dtls_check=false \
    -Dvapi=disabled

%install
%mingw_ninja_install

# Remove the .la files
rm -f %{buildroot}%{mingw32_libdir}/*.la
rm -f %{buildroot}%{mingw64_libdir}/*.la

%mingw_find_lang libsoup

# Win32
%files -n mingw32-libsoup -f mingw32-libsoup.lang
%license COPYING
%{mingw32_bindir}/libsoup-2.4-1.dll
%{mingw32_bindir}/libsoup-gnome-2.4-1.dll
%{mingw32_includedir}/libsoup-2.4
%{mingw32_includedir}/libsoup-gnome-2.4
%{mingw32_libdir}/libsoup-2.4.dll.a
%{mingw32_libdir}/libsoup-gnome-2.4.dll.a
%{mingw32_libdir}/pkgconfig/libsoup-2.4.pc
%{mingw32_libdir}/pkgconfig/libsoup-gnome-2.4.pc

# Win64
%files -n mingw64-libsoup -f mingw64-libsoup.lang
%license COPYING
%{mingw64_bindir}/libsoup-2.4-1.dll
%{mingw64_bindir}/libsoup-gnome-2.4-1.dll
%{mingw64_includedir}/libsoup-2.4
%{mingw64_includedir}/libsoup-gnome-2.4
%{mingw64_libdir}/libsoup-2.4.dll.a
%{mingw64_libdir}/libsoup-gnome-2.4.dll.a
%{mingw64_libdir}/pkgconfig/libsoup-2.4.pc
%{mingw64_libdir}/pkgconfig/libsoup-gnome-2.4.pc



%changelog
* Thu Sep 26 2024 daviddavid <daviddavid> 2.74.3-2.mga10
+ Revision: 2101287
- fix initialization from incompatible pointer type

* Mon Nov 21 2022 daviddavid <daviddavid> 2.74.3-1.mga9
+ Revision: 1909784
- new version 2.74.3

* Wed Mar 30 2022 umeabot <umeabot> 2.72.0-3.mga9
+ Revision: 1835356
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 2.72.0-2.mga8
+ Revision: 1630453
- fix build
- rebuild for new mingw stack

* Mon Sep 14 2020 ovitters <ovitters> 2.72.0-1.mga8
+ Revision: 1626063
- new version 2.72.0

* Sat Sep 05 2020 ovitters <ovitters> 2.71.1-1.mga8
+ Revision: 1622809
- new version 2.71.1

* Thu Jul 09 2020 ovitters <ovitters> 2.71.0-1.mga8
+ Revision: 1603441
- new version 2.71.0

* Sun Mar 08 2020 daviddavid <daviddavid> 2.70.0-1.mga8
+ Revision: 1554798
- new version: 2.70.0

* Wed Feb 26 2020 ovitters <ovitters> 2.68.4-1.mga8
+ Revision: 1550628
- new version 2.68.4

* Tue Feb 18 2020 umeabot <umeabot> 2.68.3-2.mga8
+ Revision: 1539231
- Mageia 8 Mass Rebuild

* Wed Dec 04 2019 ovitters <ovitters> 2.68.3-1.mga8
+ Revision: 1464243
- new version 2.68.3
- dropped merged patch 0001-build-Enable-GNOME-support-for-mingw-builds.patch

* Fri Nov 08 2019 daviddavid <daviddavid> 2.68.2-2.mga8
+ Revision: 1458734
- enable GNOME support

* Wed Oct 09 2019 ovitters <ovitters> 2.68.2-1.mga8
+ Revision: 1450768
- new version 2.68.2

* Thu Oct 03 2019 daviddavid <daviddavid> 2.68.1-1.mga8
+ Revision: 1449049
- new version: 2.68.1

* Mon Sep 23 2019 daviddavid <daviddavid> 2.68.0-1.mga8
+ Revision: 1444966
- new version: 2.68.0
- switch to meson build system

* Sun Sep 23 2018 umeabot <umeabot> 2.52.2-3.mga7
+ Revision: 1299549
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Wed May 11 2016 tv <tv> 2.52.2-1.mga6
+ Revision: 1012716
- new release

* Thu Feb 18 2016 umeabot <umeabot> 2.48.1-2.mga6
+ Revision: 965621
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 ovitters <ovitters> 2.48.1-1.mga6
+ Revision: 836366
- new version 2.48.1
- new version 2.47.92
- new version 2.47.4
- new version 2.47.3
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu May 29 2014 ovitters <ovitters> 2.46.0-1.mga5
+ Revision: 627621
- new version 2.46.0

* Wed Feb 05 2014 ovitters <ovitters> 2.44.2-1.mga5
+ Revision: 582770
- new version 2.44.2

* Sat Nov 09 2013 ovitters <ovitters> 2.43.90-2.mga4
+ Revision: 550189
- fix url

* Sun Oct 27 2013 neoclust <neoclust> 2.43.90-1.mga4
+ Revision: 547394
- imported package mingw-libsoup


* Sat Sep  7 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.43.90-1
- Update to 2.43.90

* Sat Aug  3 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.43.5-1
- Update to 2.43.5
- Make sure translations get installed to the correct folder (intltool bug #398571)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.43.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jul 13 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.43.4-1
- Update to 2.43.4

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.43.1-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Thu May  9 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.43.1-1
- Update to 2.43.1

* Fri Mar 29 2013 Kalev Lember <kalevlember@gmail.com> - 2.42.0-1
- Update to 2.42.0

* Sun Mar 24 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.41.92-1
- Update to 2.41.92

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.40.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Nov 29 2012 Kalev Lember <kalevlember@gmail.com> - 2.40.2-1
- Update to 2.40.2

* Sat Oct 20 2012 Kalev Lember <kalevlember@gmail.com> - 2.40.1-1
- Update to 2.40.1

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.38.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Apr 17 2012 Kalev Lember <kalevlember@gmail.com> - 2.38.1-1
- Update to 2.38.1

* Mon Mar 26 2012 Kalev Lember <kalevlember@gmail.com> - 2.38.0-1
- Update to 2.38.0

* Sun Mar 11 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.37.90-3
- Added win64 support

* Tue Mar 06 2012 Kalev Lember <kalevlember@gmail.com> - 2.37.90-2
- Renamed the source package to mingw-libsoup (#800433)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Kalev Lember <kalevlember@gmail.com> - 2.37.90-1
- Update to 2.37.90
- Remove the .la files

* Mon Feb 27 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.37.5-2
- Rebuild against the mingw-w64 toolchain

* Tue Feb 07 2012 Kalev Lember <kalevlember@gmail.com> - 2.37.5-1
- Update to 2.37.5

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.36.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 18 2011 Kalev Lember <kalevlember@gmail.com> - 2.36.1-1
- Update to 2.36.1

* Sun Oct 02 2011 Kalev Lember <kalevlember@gmail.com> - 2.36.0-1
- Update to 2.36.0
- Spec cleanup for recent rpmbuild

* Thu Jul 07 2011 Kalev Lember <kalevlember@gmail.com> - 2.34.1-2
- Rebuilt against win-iconv

* Wed Apr 27 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.34.1-1
- Update to 2.34.1
- Build with --with-gnome
- Dropped the BR: mingw32-gnutls as support for TLS connections has
  moved to glib-networking

* Sun Apr 24 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.34.0-1
- Update to 2.34.0

* Fri Apr 22 2011 Kalev Lember <kalev@smartlink.ee> - 2.32.0-3
- Rebuilt for pseudo-reloc version mismatch (#698827)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.32.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov  7 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.32.0-1
- Update to 2.32.0

* Fri Nov 20 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.28.1-1
- Update to 2.28.1

* Sat Sep 19 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.27.92-2
- Rebuild because of broken mingw32-gcc/mingw32-binutils
- Added a patch to workaround GNOME BZ #595176

* Thu Sep 10 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.27.92-1
- Update to 2.27.92
- Dropped the workaround for GNOME BZ #593845

* Tue Sep  1 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.27.91-1
- Update to 2.27.91

* Thu Aug 13 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.27.90-1
- Update to 2.27.90
- Automatically generate debuginfo subpackage
- Added BR: mingw32-gnutls for SSL support

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.27.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.27.1-1
- Update to 2.27.1

* Fri May 22 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.26.1-2
- Fixed license typo
- Use %%global instead of %%define
- Fixed mixed-use-of-spaces-and-tabs rpmlint warning

* Sat May  9 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.26.1-1
- Update to 2.26.1

* Fri Apr  3 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.26.0-2
- Added -static subpackage

* Fri Mar 20 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.26.0-1
- Update to 2.26.0

* Sat Feb 14 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 2.25.5-1
- Initial release

